%define majver %(echo %version | cut -d. -f1-2)
Name:          seafile-client
Version:       6.2.9
Release:       1mamba
Summary:       Seafile desktop client
Group:         Graphical Desktop/Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://seafile.com
## GITSOURCE https://github.com/haiwen/seafile-client.git v3.1.5
Source:        https://github.com/haiwen/seafile-client.git/v%{version}/seafile-client-%{version}.tar.bz2
Patch0:        seafile-client-4.4.2-disable-latest-version-check.patch
Patch1:        seafile-client-6.0.7-qt5-5.7.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libccnet-devel
BuildRequires: libevent-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libopenssl-devel
BuildRequires: libqt5-devel
BuildRequires: libseafile-devel
BuildRequires: libsearpc-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      seafile >= %majver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Seafile desktop client.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
sed -i "s| qmake | qmake-qt5 |" CMakeLists.txt

%build
%cmake \
   -DCMAKE_CXX_FLAGS="-fuse-ld=gold"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/seafile-applet
%{_datadir}/applications/seafile.desktop
%{_datadir}/icons/hicolor/*/apps/seafile.png
%{_datadir}/icons/hicolor/scalable/apps/seafile.svg
%{_datadir}/pixmaps/seafile.png
%doc LICENSE
#%doc README.md

%changelog
* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.9-1mamba
- update to 6.2.9

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.3-1mamba
- update to 6.1.3

* Wed Jul 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.7-1mamba
- update to 6.0.7

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.7-1mamba
- update to 5.0.7

* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.2-1mamba
- update to 4.4.2

* Sun May 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- update to 4.2.2

* Tue May 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Mon Dec 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-1mamba
- update to 3.1.11

* Wed Aug 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.5-1mamba
- package created using the webbuild interface
